Duplicate task

POST
/api/v2/tasks/{id}/duplicate

Duplicates an existing task by its unique identifier. Returns the ID of the new task.

AuthorizationBearer <token>

JWT Authorization header using the Bearer scheme. Example: 'Bearer {token}'

In: header

Path Parameters

id*string

The unique identifier of the task to duplicate.

Formatuuid

Request Body

application/json

The request data for duplicating the task (To Overwrite report apps).

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/api/v2/tasks/497f6eca-6276-4993-bfeb-53cbbbba6f08/duplicate" \  -H "Content-Type: application/json" \  -d '{}'
{  "isSuccess": true,  "error": {},  "errorDetails": "string",  "message": "string",  "data": "808ac6e4-93ed-4040-85a5-6c71a2444e90",  "resultInfo": {    "page": 0,    "perPage": 0,    "totalCount": 0,    "totalPages": 0,    "hasPreviousPage": true,    "hasNextPage": true  }}